{% extends 'admin_home.html' %}
{% load static %}

{% block content %}
<link rel="stylesheet" type="text/css" href="{% static 'myapp/css/questionnaire.css' %}">
<h1 class="title">Questionnaire</h1>

<form class="form" method="post" action="{% url 'questionnaire' %}">
    {% csrf_token %}
    {{ form.as_p }}

    <button class="save-btn" type="submit">Save</button>
</form>

<h2 class="previous-questionnaires-title">Previous Questionnaires</h2>
<ul class="previous-questionnaires">
    {% for q in questionnaires %}
    <li class="previous-questionnaires-row">{{ q.formName }} - {{ q.question1 }}, {{ q.question2 }}, {{ q.question3 }}</li>
    {% endfor %}
</ul>
<div class="btn">
    <a class="return-btn" href="{% url 'admin_home' %}">Back to menu</a>
</div>
{% endblock %}